# Stats

## Get Block Stats by Height

This endpoint retrieves the block stats for a given height.&#x20;

* Exchange rate information is not available for blocks processed before:
  * *`2018/11/19`* for BSV.
  * *`2010/07/18`* for BTC.
* Unidentified block miners are tagged as an empty string.

{% code title="HTTP Request" %}

```
GET https://api.whatsonchain.com/v1/<chain>/main/block/height/<height>/stats
```

{% endcode %}

#### Example Request

{% tabs %}
{% tab title="BSV" %}

```sh
curl --location --request GET "https://api.whatsonchain.com/v1/bsv/main/block/height/698730/stats"
```

{% endtab %}

{% tab title="BTC" %}

```sh
curl --location --request GET "https://api.whatsonchain.com/v1/btc/main/block/height/698730/stats"
```

{% endtab %}
{% endtabs %}

#### Example Response

{% tabs %}
{% tab title="BSV" %}

```json
{
    "hash": "000000000000000002799ba826646d0060b06779e7bde9622145b410f114c1fb",
    "tx_count": 7088,
    "height": 698730,
    "version": 939515904,
    "version_hex": "37ffe000",
    "merkle_root": "58f529bbf8319340ee299a7b577177ca877ba3ecc2a4e8ef231ccd6387e9dbe6",
    "time": 1627996871,
    "median_time": 1627993031,
    "nonce": 111084755,
    "bits": "181112b7",
    "difficulty": 64399232575.38872,
    "chainwork": "0000000000000000000000000000000000000000012ef34e8452b98b968b3134",
    "miner_tag": "qdlnk",
    "total_fee": 9868209,
    "total_fee_usd": 13.628983449900002,
    "total_out": 58639450178,
    "avg_fee": 1392,
    "avg_fee_usd": 0.0019224912000000002,
    "median_fee": 175,
    "median_fee_usd": 0.00024169250000000004,
    "input_count": 16930,
    "output_count": 19002,
    "total_out_usd": 80986.9446408358,
    "subsidy": 625000000,
    "subsidy_usd": 863.1875000000001,
    "reward": 634868209,
    "reward_usd": 876.8164834499001,
    "coinbase": "036aa90a2f71646c6e6b2ff3d24370c50084e8887a0100",
    "size": 17444558,
    "exchange_rate": {
        "rate": 138.11,
        "time": 1627948800
    },
    "min_tx_size": 190,
    "max_tx_size": 1151375,
    "median_tx_size": 313,
    "avg_tx_size": 2461,
    "cdd_total": 200.48376520212884
}
```

{% endtab %}

{% tab title="BTC" %}

```json
{
    "hash": "0000000000000000000a04cdff683678eb8c8cd62b56aed5418d779c322621a3",
    "tx_count": 2165,
    "height": 698730,
    "version": 939515908,
    "version_hex": "37ffe004",
    "merkle_root": "8bb0fd825e89d8af9231b5a667bd492f581d5404eeb771925354ae25c7de5620",
    "time": 1630606067,
    "median_time": 1630603713,
    "nonce": 1740888747,
    "bits": "170ffaa0",
    "difficulty": 17615033039278.88,
    "chainwork": "0000000000000000000000000000000000000000211d176a2da1d7170a5c7106",
    "miner_tag": "Braiins Pool",
    "total_fee": 12150237,
    "total_fee_usd": 5986.9442300910005,
    "total_out": 256922954942,
    "avg_fee": 5614,
    "avg_fee_usd": 2.766259202,
    "median_fee": 1565,
    "median_fee_usd": 0.771142795,
    "input_count": 6848,
    "output_count": 5676,
    "total_out_usd": 126596987.58698592,
    "subsidy": 625000000,
    "subsidy_usd": 307964.375,
    "reward": 637150237,
    "reward_usd": 313951.319230091,
    "coinbase": "036aa90afabe6d6d5a8485ec362d8087a524e5e2edf60a40dfa9cceefae429a37eb0c92395c5414601000000000000000a6507008d6a4f79fd2500000000009389b5b1182f736c7573682f",
    "size": 1310274,
    "exchange_rate": {
        "rate": 49274.3,
        "time": 1630540800
    },
    "min_tx_size": 188,
    "max_tx_size": 102754,
    "median_tx_size": 225,
    "avg_tx_size": 605,
    "cdd_total": 4622.627489398172
}
```

{% endtab %}
{% endtabs %}

**URL Parameters**

| Parameter | Description                         |
| --------- | ----------------------------------- |
| chain     | Desired blockchain: `bsv` or `btc`. |
| height    | Block height.                       |

## Get Block Stats by Hash

This endpoint retrieves the block stats for a given hash.&#x20;

{% hint style="info" %}

* Exchange rate information is not available for blocks processed before:
  * *`2018/11/19`* for BSV.
  * *`2010/07/18`* for BTC.
* Unidentified block miners are tagged as an empty string.
  {% endhint %}

{% code title="HTTP Request" %}

```
GET https://api.whatsonchain.com/v1/<chain>/main/block/hash/<hash>/stats
```

{% endcode %}

#### Example Request

{% tabs %}
{% tab title="BSV" %}

```sh
curl --location --request GET "https://api.whatsonchain.com/v1/bsv/main/block/hash/000000000000000002799ba826646d0060b06779e7bde9622145b410f114c1fb/stats"
```

{% endtab %}

{% tab title="BTC" %}

```sh
curl --location --request GET "https://api.whatsonchain.com/v1/btc/main/block/hash/0000000000000000000a04cdff683678eb8c8cd62b56aed5418d779c322621a3/stats"
```

{% endtab %}
{% endtabs %}

#### Example Response

{% tabs %}
{% tab title="BSV" %}

```json
{
    "hash": "000000000000000002799ba826646d0060b06779e7bde9622145b410f114c1fb",
    "tx_count": 7088,
    "height": 698730,
    "version": 939515904,
    "version_hex": "37ffe000",
    "merkle_root": "58f529bbf8319340ee299a7b577177ca877ba3ecc2a4e8ef231ccd6387e9dbe6",
    "time": 1627996871,
    "median_time": 1627993031,
    "nonce": 111084755,
    "bits": "181112b7",
    "difficulty": 64399232575.38872,
    "chainwork": "0000000000000000000000000000000000000000012ef34e8452b98b968b3134",
    "miner_tag": "qdlnk",
    "total_fee": 9868209,
    "total_fee_usd": 13.628983449900002,
    "total_out": 58639450178,
    "avg_fee": 1392,
    "avg_fee_usd": 0.0019224912000000002,
    "median_fee": 175,
    "median_fee_usd": 0.00024169250000000004,
    "input_count": 16930,
    "output_count": 19002,
    "total_out_usd": 80986.9446408358,
    "subsidy": 625000000,
    "subsidy_usd": 863.1875000000001,
    "reward": 634868209,
    "reward_usd": 876.8164834499001,
    "coinbase": "036aa90a2f71646c6e6b2ff3d24370c50084e8887a0100",
    "size": 17444558,
    "exchange_rate": {
        "rate": 138.11,
        "time": 1627948800
    },
    "min_tx_size": 190,
    "max_tx_size": 1151375,
    "median_tx_size": 313,
    "avg_tx_size": 2461,
    "cdd_total": 200.48376520212884
}
```

{% endtab %}

{% tab title="BTC" %}

```json
{
    "hash": "0000000000000000000a04cdff683678eb8c8cd62b56aed5418d779c322621a3",
    "tx_count": 2165,
    "height": 698730,
    "version": 939515908,
    "version_hex": "37ffe004",
    "merkle_root": "8bb0fd825e89d8af9231b5a667bd492f581d5404eeb771925354ae25c7de5620",
    "time": 1630606067,
    "median_time": 1630603713,
    "nonce": 1740888747,
    "bits": "170ffaa0",
    "difficulty": 17615033039278.88,
    "chainwork": "0000000000000000000000000000000000000000211d176a2da1d7170a5c7106",
    "miner_tag": "Braiins Pool",
    "total_fee": 12150237,
    "total_fee_usd": 5986.9442300910005,
    "total_out": 256922954942,
    "avg_fee": 5614,
    "avg_fee_usd": 2.766259202,
    "median_fee": 1565,
    "median_fee_usd": 0.771142795,
    "input_count": 6848,
    "output_count": 5676,
    "total_out_usd": 126596987.58698592,
    "subsidy": 625000000,
    "subsidy_usd": 307964.375,
    "reward": 637150237,
    "reward_usd": 313951.319230091,
    "coinbase": "036aa90afabe6d6d5a8485ec362d8087a524e5e2edf60a40dfa9cceefae429a37eb0c92395c5414601000000000000000a6507008d6a4f79fd2500000000009389b5b1182f736c7573682f",
    "size": 1310274,
    "exchange_rate": {
        "rate": 49274.3,
        "time": 1630540800
    },
    "min_tx_size": 188,
    "max_tx_size": 102754,
    "median_tx_size": 225,
    "avg_tx_size": 605,
    "cdd_total": 4622.627489398172
}
```

{% endtab %}
{% endtabs %}

**URL Parameters**

| Parameter | Description                         |
| --------- | ----------------------------------- |
| chain     | Desired blockchain: `bsv` or `btc`. |
| hash      | Block hash.                         |

## Get Miner Block Stats

This endpoint retrieves the miner block stats for a specified number of days.&#x20;

{% hint style="info" %}
Unidentified block miners are tagged as an empty string.
{% endhint %}

{% code title="HTTP Request" %}

```
GET https://api.whatsonchain.com/v1/<chain>/main/miner/blocks/stats?days={days}
```

{% endcode %}

#### Example Request

{% tabs %}
{% tab title="BSV" %}

```sh
curl --location --request GET "https://api.whatsonchain.com/v1/bsv/main/miner/blocks/stats?days=1"
```

{% endtab %}

{% tab title="BTC" %}

```sh
curl --location --request GET "https://api.whatsonchain.com/v1/btc/main/miner/blocks/stats?days=1"
```

{% endtab %}
{% endtabs %}

#### Example Response

{% tabs %}
{% tab title="BSV" %}

```json
[{
    "header": {
        "size": 122926,
        "height": 904971,
        "time": 1752184082
    },
    "stats": {
        "total_size": 122926,
        "total_fee": 1341
    },
    "details": {
        "miner_tag": "SA100"
    }
}, {
    "header": {
        "size": 526989,
        "height": 904972,
        "time": 1752184167
    },
    "stats": {
        "total_size": 526989,
        "total_fee": 17769
    },
    "details": {
        "miner_tag": "qdlnk"
    }
},
...
]
```

{% endtab %}

{% tab title="BTC" %}

```json
[{
    "header": {
        "size": 1609339,
        "height": 904982,
        "time": 1752185033
    },
    "stats": {
        "total_size": 1609339,
        "total_fee": 5703865
    },
    "details": {
        "miner_tag": "Foundry USA"
    }
}, {
    "header": {
        "size": 1531032,
        "height": 904983,
        "time": 1752185066
    },
    "stats": {
        "total_size": 1531032,
        "total_fee": 2141792
    },
    "details": {
        "miner_tag": "Foundry USA"
    }
},
...
]
```

{% endtab %}
{% endtabs %}

**URL Parameters**

| Parameter | Description                                                                         |
| --------- | ----------------------------------------------------------------------------------- |
| chain     | Desired blockchain: `bsv` or `btc`.                                                 |
| days      | The number of days to retrieve the data for. Only `1` or `30` days can be selected. |

## Get Miner Minimum Fee Rate Stats

This endpoint retrieves the miner minimum fee rate stats for a specified time period.&#x20;

{% hint style="info" %}
Minimum fee rate is in `sat/KB`.
{% endhint %}

{% code title="HTTP Request" %}

```
GET https://api.whatsonchain.com/v1/<chain>/main/miner/fees?from={from}&to={to}
```

{% endcode %}

#### Example Request

{% tabs %}
{% tab title="BSV" %}

```sh
curl --location --request GET "https://api.whatsonchain.com/v1/bsv/main/miner/fees?from=1714608000&to=1714653060"
```

{% endtab %}

{% tab title="BTC" %}

```sh
curl --location --request GET "https://api.whatsonchain.com/v1/btc/main/miner/fees?from=1714608000&to=1714653060"
```

{% endtab %}
{% endtabs %}

#### Example Response

{% tabs %}
{% tab title="BSV" %}

```json
[{
    "miner": "taal.com",
    "min_fee_rate": 1
},{
    "miner": "CUVVE",
    "min_fee_rate": 1.0003060717198577
},{
    "miner": "GorillaPool.com 🦍",
    "min_fee_rate": 1.001001001001001
},{
    "miner": "qdlnk",
    "min_fee_rate": 1.0001427259380782
}]
```

{% endtab %}

{% tab title="BTC" %}

```json
[{
    "miner": "Binance Pool",
    "min_fee_rate": 1471.6703458425313
},{
    "miner": "F2Pool",
    "min_fee_rate": 2.7438016528925617
},{
    "miner": "Others",
    "min_fee_rate": 635.6877323420075
},{
    "miner": "MARA Pool",
    "min_fee_rate": 2038.4615384615383
},
...
]
```

{% endtab %}
{% endtabs %}

**URL Parameters**

| Parameter | Description                         |
| --------- | ----------------------------------- |
| chain     | Desired blockchain: `bsv` or `btc`. |
| from      | Starting from as `Unix timestamp`.  |
| to        | Until to as `Unix timestamp`.       |

## Get Miner **Summary** Stats

This endpoint retrieves the miner summary stats for specified number of days.

{% hint style="info" %}
Unidentified block miners are tagged as an empty string.
{% endhint %}

{% code title="HTTP Request" %}

```
GET https://api.whatsonchain.com/v1/<chain>/main/miner/summary/stats?days={days}
```

{% endcode %}

#### Example Request

{% tabs %}
{% tab title="BSV" %}

```sh
curl --location --request GET "https://api.whatsonchain.com/v1/bsv/main/miner/summary/stats?days=90"
```

{% endtab %}

{% tab title="BTC" %}

```sh
curl --location --request GET "https://api.whatsonchain.com/v1/btc/main/miner/summary/stats?days=90"
```

{% endtab %}
{% endtabs %}

#### Example Response

{% tabs %}
{% tab title="BSV" %}

```json
[{
    "period": 1744416000,
    "stats": {
        "CUVVE": {
            "count": 38,
            "header": {
                "size": 2257161430
            },
            "stats": {
                "total_size": 2257161430,
                "total_fee": 6589515
            }
        },
        "GorillaPool.com 🦍": {
            "count": 4,
            "header": {
                "size": 86653775
            },
            "stats": {
                "total_size": 86653775,
                "total_fee": 333117
            }
        },
        "Mining-Dutch": {
            "count": 1,
            "header": {
                "size": 14891083
            },
            "stats": {
                "total_size": 14891083,
                "total_fee": 181009
            }
        },
        "SA100": {
            "count": 18,
            "header": {
                "size": 730803192
            },
            "stats": {
                "total_size": 730803192,
                "total_fee": 2836590
            }
        },
        ...
    }
},
...
]
```

{% endtab %}

{% tab title="BTC" %}

```json
[{
    "period": 1744416000,
    "stats": {
        "": {
            "count": 7,
            "header": {
                "size": 9682966
            },
            "stats": {
                "total_size": 9682966,
                "total_fee": 35303459
            }
        },
        "AntPool": {
            "count": 27,
            "header": {
                "size": 35183506
            },
            "stats": {
                "total_size": 35183506,
                "total_fee": 87763130
            }
        },
        "Binance Pool": {
            "count": 5,
            "header": {
                "size": 7744328
            },
            "stats": {
                "total_size": 7744328,
                "total_fee": 20838766
            }
        },
        "CloverPool": {
            "count": 4,
            "header": {
                "size": 6619483
            },
            "stats": {
                "total_size": 6619483,
                "total_fee": 19247812
            }
        },
        ...
    }
},
...
]
```

{% endtab %}
{% endtabs %}

**URL Parameters**

| Parameter | Description                                                                           |
| --------- | ------------------------------------------------------------------------------------- |
| chain     | Desired blockchain: `bsv` or `btc`.                                                   |
| days      | The number of days to retrieve the data for. Only `90` or `365` days can be selected. |

## Get **Tag Count by Height**

This endpoint retrieves stats on tag count for a specific block at a given height.

{% code title="HTTP Request" %}

```
GET https://api.whatsonchain.com/v1/<chain>/main/block/tagcount/height/{height}/stats
```

{% endcode %}

#### Example Request

{% tabs %}
{% tab title="BSV" %}

```sh
curl --location --request GET "https://api.whatsonchain.com/v1/bsv/main/block/tagcount/height/762291/stats"
```

{% endtab %}

{% tab title="BTC cURL" %}

```sh
curl --location --request GET "https://api.whatsonchain.com/v1/btc/main/block/tagcount/height/762291/stats"
```

{% endtab %}
{% endtabs %}

#### Example Response

{% tabs %}
{% tab title="BSV" %}

```json
{
    "count": 9128,
    "results": [{
        "name": "certihash",
        "count": 5588
    }, {
        "name": "my2cents",
        "count": 2320
    }, {
        "name": "run#cryptofights",
        "count": 709
    }, {
        "name": "OP_RETURN",
        "count": 144
    }, 
    ...
    ]
}
```

{% endtab %}

{% tab title="BTC" %}

```json
{
    "count": 1489,
    "results": [{
        "name": "stacks",
        "count": 6
    }, {
        "name": "nonstandard",
        "count": 1479
    }, {
        "name": "OP_RETURN",
        "count": 4
    }]
}
```

{% endtab %}
{% endtabs %}

**URL Parameters**

| Parameter | Description                         |
| --------- | ----------------------------------- |
| chain     | Desired blockchain: `bsv` or `btc`. |
| height    | Block height.                       |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.taal.com/core-products/whatsonchain/stats.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
